## qtop 2.2.4

=== CMakeLists.txt ===
# $Id: CMakeLists.txt,v 1.18 2014/02/21 09:31:46 hupereir Exp $
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.6)
IF( COMMAND CMAKE_POLICY )
  CMAKE_POLICY( SET CMP0003 NEW )
ENDIF()

SET(CMAKE_AUTOMOC TRUE)

PROJECT( Top )
SET( TOP_VERSION_MAJOR 2 )
SET( TOP_VERSION_MINOR 2 )
SET( TOP_VERSION_PATCH 4 )
SET( TOP_VERSION ${TOP_VERSION_MAJOR}.${TOP_VERSION_MINOR}.${TOP_VERSION_PATCH} )

########### modules #################
SET( CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/base-cmake" )
INCLUDE( Macros )

########### timestamp #########
GET_BUILD_TIMESTAMP( TIMESTAMP )

########### packages ###############
SET( CPACK_PACKAGE_NAME "Top" )
SET( CPACK_PACKAGE_VENDOR "hugo.pereira@free.fr" )
SET( CPACK_PACKAGE_VERSION "${TOP_VERSION}" )
SET( CPACK_SOURCE_GENERATOR TGZ )
SET( CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}" )
INCLUDE( CPack )

########### configuration files ###############
CONFIGURE_FILE( Top.spec.cmake ${CMAKE_SOURCE_DIR}/Top.spec )

########### subdirectories ###############
IF( ENABLE_SHARED )

  SET( CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE )
  LINK_DIRECTORIES( ${CMAKE_INSTALL_PREFIX}/lib )

ELSE()

  ADD_SUBDIRECTORY( base )
  ADD_SUBDIRECTORY( base-qt )
  ADD_SUBDIRECTORY( base-server )

ENDIF()

ADD_SUBDIRECTORY( src )

=== base-help/CMakeLists.txt ===
# $Id: CMakeLists.txt,v 1.13 2013/11/14 17:19:40 hupereir Exp $
PROJECT( BASE_HELP )
SET( BASE_HELP_VERSION_MAJOR 1 )
SET( BASE_HELP_VERSION_MINOR 0 )
SET( BASE_HELP_VERSION_PATCH 0 )
SET( BASE_HELP_VERSION ${BASE_HELP_VERSION_MAJOR}.${BASE_HELP_VERSION_MINOR}.${BASE_HELP_VERSION_PATCH} )
SET( BASE_HELP_SOVERSION ${BASE_HELP_VERSION_MAJOR}.${BASE_HELP_VERSION_MINOR} )

########### Qt4 configuration #########
IF( USE_QT5 )

  FIND_PACKAGE( Qt5Widgets REQUIRED )

ELSE()

  FIND_PACKAGE( Qt4 REQUIRED )
  SET( QT_USE_QTXML TRUE )
  INCLUDE( ${QT_USE_FILE} )
  ADD_DEFINITIONS( ${QT_DEFINITIONS} )

ENDIF()

########### includes ###############
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base)
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LINK_DIRECTORIES( ${CMAKE_INSTALL_PREFIX}/lib )

########### next target ###############
SET( base_help_SOURCES
  HelpDialog.cpp
  HelpItem.cpp
  HelpManager.cpp
  HelpModel.cpp
  )

IF( ENABLE_SHARED )

  ADD_LIBRARY( base-help SHARED ${base_help_SOURCES} )
  SET_TARGET_PROPERTIES( base-help PROPERTIES VERSION ${BASE_HELP_VERSION} SOVERSION ${BASE_HELP_SOVERSION} )
  INSTALL( TARGETS base-help DESTINATION ${CMAKE_INSTALL_PREFIX}/lib )

ELSE()

  ADD_LIBRARY( base-help STATIC ${base_help_SOURCES} )

ENDIF()

TARGET_LINK_LIBRARIES( base-help ${QT_LIBRARIES} base base-qt )

IF( USE_QT5 )

  QT5_USE_MODULES( base-help Widgets Xml )

ENDIF()

=== base-notifications/CMakeLists.txt ===
# $Id: CMakeLists.txt,v 1.7 2014/04/27 19:27:49 hupereir Exp $
PROJECT( BASE_NOTIFICATIONS )
SET( BASE_NOTIFICATIONS_VERSION_MAJOR 1 )
SET( BASE_NOTIFICATIONS_VERSION_MINOR 0 )
SET( BASE_NOTIFICATIONS_VERSION_PATCH 0 )
SET( BASE_NOTIFICATIONS_VERSION ${BASE_NOTIFICATIONS_VERSION_MAJOR}.${BASE_NOTIFICATIONS_VERSION_MINOR}.${BASE_NOTIFICATIONS_VERSION_PATCH} )
SET( BASE_NOTIFICATIONS_SOVERSION ${BASE_NOTIFICATIONS_VERSION_MAJOR}.${BASE_NOTIFICATIONS_VERSION_MINOR} )

########### Qt4 configuration #########
IF( USE_QT5 )

  FIND_PACKAGE( Qt5Widgets REQUIRED )

ELSE()

  FIND_PACKAGE( Qt4 REQUIRED )
  INCLUDE( ${QT_USE_FILE} )
  ADD_DEFINITIONS( ${QT_DEFINITIONS} )

ENDIF()

############ Notifications
FIND_PACKAGE( PkgConfig )
IF( PKG_CONFIG_FOUND )

  PKG_CHECK_MODULES( LIBNOTIFY libnotify )
  IF( LIBNOTIFY_FOUND )
    INCLUDE_DIRECTORIES( ${LIBNOTIFY_INCLUDE_DIRS} )
    ADD_DEFINITIONS( -DWITH_LIBNOTIFY=${LIBNOTIFY_FOUND} )

  ELSE()

    ADD_DEFINITIONS( -DWITH_LIBNOTIFY=FALSE )

  ENDIF()

ELSE()

  ADD_DEFINITIONS( -DWITH_LIBNOTIFY=FALSE )

ENDIF()


########### includes ###############
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base)
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LINK_DIRECTORIES( ${CMAKE_INSTALL_PREFIX}/lib )

########### next target ###############
SET( base_notifications_SOURCES
  SystemNotifications.cpp
  SystemNotifications_p.cpp
)

IF( ENABLE_SHARED )

  ADD_LIBRARY( base-notifications SHARED ${base_notifications_SOURCES} )
  SET_TARGET_PROPERTIES( base-notifications PROPERTIES VERSION ${BASE_NOTIFICATIONS_VERSION} SOVERSION ${BASE_NOTIFICATIONS_VERSION} )
  INSTALL( TARGETS base-notifications DESTINATION ${CMAKE_INSTALL_PREFIX}/lib )

ELSE()

  ADD_LIBRARY( base-notifications STATIC ${base_notifications_SOURCES} )

ENDIF()

TARGET_LINK_LIBRARIES( base-notifications ${QT_LIBRARIES} base base-qt )

IF( LIBNOTIFY_FOUND )
  TARGET_LINK_LIBRARIES( base-notifications ${LIBNOTIFY_LIBRARIES} )
ENDIF()

=== base-qt/CMakeLists.txt ===
# $Id: CMakeLists.txt,v 1.52 2014/05/12 18:49:20 hupereir Exp $
PROJECT( BASE_QT )
SET( BASE_QT_VERSION_MAJOR 1 )
SET( BASE_QT_VERSION_MINOR 0 )
SET( BASE_QT_VERSION_PATCH 0 )
SET( BASE_QT_VERSION ${BASE_QT_VERSION_MAJOR}.${BASE_QT_VERSION_MINOR}.${BASE_QT_VERSION_PATCH} )
SET( BASE_QT_SOVERSION ${BASE_QT_VERSION_MAJOR}.${BASE_QT_VERSION_MINOR} )

########### Qt configuration #########
IF( USE_QT5 )

  FIND_PACKAGE( Qt5Widgets REQUIRED )
  FIND_PACKAGE( Qt5Gui REQUIRED )

  # needed to access QPA classes
  INCLUDE_DIRECTORIES(${Qt5Widgets_PRIVATE_INCLUDE_DIRS})

ELSE()

  FIND_PACKAGE( Qt4 REQUIRED )
  SET( QT_USE_QTXML TRUE )
  INCLUDE( ${QT_USE_FILE} )
  ADD_DEFINITIONS( ${QT_DEFINITIONS} )

ENDIF()

########### X11 #########
IF( UNIX AND NOT APPLE )

  FIND_PACKAGE( X11 )
  IF( X11_FOUND )
     FIND_PACKAGE(XCB REQUIRED COMPONENTS XCB KEYSYMS)
     FIND_PACKAGE(X11_XCB REQUIRED)
     INCLUDE_DIRECTORIES( ${X11_X11_INCLUDE_PATH} )
  ENDIF()

  ADD_DEFINITIONS( -DHAVE_X11=${X11_FOUND} )

ELSE()

  ADD_DEFINITIONS( -DHAVE_X11=0 )

ENDIF()

########### includes ###############
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base)

########### links #########
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LINK_DIRECTORIES( ${CMAKE_INSTALL_PREFIX}/lib )

########### next target ###############
SET( base_qt_SOURCES
  AnimatedLabel.cpp
  AnimatedLineEditor.cpp
  AnimatedStackedWidget.cpp
  AnimatedTabWidget.cpp
  AnimatedTextEditor.cpp
  AnimatedTreeView.cpp
  BaseContextMenu.cpp
  BaseFileIconProvider.cpp
  BaseFileInfo.cpp
  BaseFileInfoConfigurationWidget.cpp
  BaseFileInfoToolTipWidget.cpp
  BaseFileInformationDialog.cpp
  BaseFindDialog.cpp
  BaseMainWindow.cpp
  BaseConfigurationDialog.cpp
  BaseDialog.cpp
  BasePrintHelper.cpp
  BaseProgressBar.cpp
  BaseReplaceDialog.cpp
  BaseStatusBar.cpp
  BaseToolTipWidget.cpp
  BlockHighlight.cpp
  BoxSelection.cpp
  BrowsedLineEditor.cpp
  BrowseIconButton.cpp
  BusyWidget.cpp
  ClockLabel.cpp
  ColorDisplay.cpp
  ColorGrabButton.cpp
  ColorGrabObject.cpp
  ColorMenu.cpp
  ColumnSelectionMenu.cpp
  ColumnSortingMenu.cpp
  ContextMenu.cpp
  CounterDialog.cpp
  CounterModel.cpp
  CursorMonitor.cpp
  CustomComboBox.cpp
  CustomDialog.cpp
  CustomPixmap.cpp
  CustomSlider.cpp
  CustomTextDocument.cpp
  CustomToolBar.cpp
  CustomToolButton.cpp
  DebugMenu.cpp
  DefaultFolders.cpp
  DetailsDialog.cpp
  DockPanel.cpp
  DockWidget.cpp
  DragMonitor.cpp
  ElidedLabel.cpp
  ErrorHandler.cpp
  FileDialog.cpp
  FileList.cpp
  FilePermissionsWidget.cpp
  FileRecordModel.cpp
  FileSystemWatcher.cpp
  FontEditor.cpp
  FontInfo.cpp
  GridLayoutItem.cpp
  HtmlDialog.cpp
  HtmlTextNode.cpp
  IconCacheDialog.cpp
  IconCacheModel.cpp
  IconEngine.cpp
  IconSize.cpp
  IconSizeMenu.cpp
  IconView.cpp
  IconViewItem.cpp
  ImageFileDialog.cpp
  InformationDialog.cpp
  ItemModel.cpp
  KeyModifier.cpp
  LineEditor.cpp
  LineNumberDisplay.cpp
  LogWidget.cpp
  MimeTypeIconProvider.cpp
  OptionBrowsedLineEditor.cpp
  OptionCheckBox.cpp
  OptionColorDisplay.cpp
  OptionComboBox.cpp
  OptionDialog.cpp
  OptionFontEditor.cpp
  OptionFontInfo.cpp
  OptionLineEditor.cpp
  OptionListBox.cpp
  OptionModel.cpp
  OptionRadioButton.cpp
  OptionSlider.cpp
  OptionSpinBox.cpp
  OptionWidgetList.cpp
  PathEditor.cpp
  PathHistory.cpp
  PathHistoryConfiguration.cpp
  PixmapEngine.cpp
  PlacesWidget.cpp
  PrinterOptionWidget.cpp
  PrintPreviewDialog.cpp
  ProgressStatusBar.cpp
  QuestionDialog.cpp
  QtUtil.cpp
  RecentFilesConfiguration.cpp
  RecentFilesMenu.cpp
  RemoveLineBuffer.cpp
  RoundedPath.cpp
  RoundedRegion.cpp
  ScratchFileMonitor.cpp
  ScratchFileRemoveDialog.cpp
  ScrollObject.cpp
  SelectLineDialog.cpp
  SimpleListView.cpp
  SystemEnvironmentDialog.cpp
  TabbedDialog.cpp
  TabWidget.cpp
  TextEditor.cpp
  TextEditorMarginWidget.cpp
  TextEditionDelegate.cpp
  TextEncodingMenu.cpp
  TextPosition.cpp
  TextSeparator.cpp
  ToolBarMenu.cpp
  ToolButtonStyleMenu.cpp
  TransitionWidget.cpp
  TreeItemBase.cpp
  TreeView.cpp
  TreeViewConfiguration.cpp
  TreeViewItemDelegate.cpp
  UserSelectionFrame.cpp
  ValidFileThread.cpp
  WarningDialog.cpp
  WidgetMonitor.cpp
  WinUtil.cpp
  XcbUtil.cpp
  XmlColor.cpp
  XmlCommandLineArguments.cpp
  XmlDocument.cpp
  XmlFileList.cpp
  XmlFileRecord.cpp
  XmlMigration.cpp
  XmlOption.cpp
  XmlOptions.cpp
  XmlPathHistory.cpp
  XmlTextFormatBlock.cpp
  XmlTimeStamp.cpp
  XmlString.cpp
)

SET( base_qt_RESOURCES basePixmaps.qrc)

IF( USE_QT5 )

  QT5_ADD_RESOURCES( base_qt_RESOURCES_RCC ${base_qt_RESOURCES})

ELSE()

  QT4_ADD_RESOURCES( base_qt_RESOURCES_RCC ${base_qt_RESOURCES})

ENDIF()


IF( ENABLE_SHARED )

  ADD_LIBRARY( base-qt SHARED ${base_qt_SOURCES} ${base_qt_RESOURCES_RCC} )
  SET_TARGET_PROPERTIES( base-qt PROPERTIES VERSION ${BASE_QT_VERSION} SOVERSION ${BASE_QT_SOVERSION} )
  INSTALL( TARGETS base-qt DESTINATION ${CMAKE_INSTALL_PREFIX}/lib )

ELSE()

  ADD_LIBRARY( base-qt STATIC ${base_qt_SOURCES} ${base_qt_RESOURCES_RCC} )

ENDIF()

IF( X11_FOUND )

  TARGET_LINK_LIBRARIES( base-qt ${X11_X11_LIB} )
  TARGET_LINK_LIBRARIES( base-qt ${XCB_LIBRARIES} )
  TARGET_LINK_LIBRARIES( base-qt ${X11_XCB_LIBRARIES} )

ENDIF()

TARGET_LINK_LIBRARIES( base-qt ${QT_LIBRARIES} base )

IF( USE_QT5 )

  QT5_USE_MODULES( base-qt Gui Widgets Xml PrintSupport )

ENDIF()

=== base-server/CMakeLists.txt ===
# $Id: CMakeLists.txt,v 1.14 2013/11/14 17:19:40 hupereir Exp $
PROJECT( BASE_SERVER )
SET( BASE_SERVER_VERSION_MAJOR 1 )
SET( BASE_SERVER_VERSION_MINOR 0 )
SET( BASE_SERVER_VERSION_PATCH 0 )
SET( BASE_SERVER_VERSION ${BASE_SERVER_VERSION_MAJOR}.${BASE_SERVER_VERSION_MINOR}.${BASE_SERVER_VERSION_PATCH} )
SET( BASE_SERVER_SOVERSION ${BASE_SERVER_VERSION_MAJOR}.${BASE_SERVER_VERSION_MINOR} )

########### Qt4 configuration #########
IF( USE_QT5 )

  FIND_PACKAGE( Qt5Widgets REQUIRED )

ELSE()

  FIND_PACKAGE( Qt4 REQUIRED )
  SET( QT_USE_QTXML TRUE )
  SET( QT_USE_QTNETWORK TRUE )

  IF( UNIX AND NOT APPLE )

    SET( QT_USE_QTDBUS TRUE )

  ELSE()

    ADD_DEFINITIONS( "-DQT_NO_DBUS" )

  ENDIF()

  INCLUDE( ${QT_USE_FILE} )
  ADD_DEFINITIONS( ${QT_DEFINITIONS} )

ENDIF()

# DBUS: is forced to false on APPLE

########### includes ###############
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base)
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LINK_DIRECTORIES( ${CMAKE_INSTALL_PREFIX}/lib )

########### next target ###############
SET( base_server_SOURCES
  ApplicationId.cpp
  ApplicationManager.cpp
  BaseApplication.cpp
  BaseCoreApplication.cpp
  Client.cpp
  ServerCommand.cpp
  ServerConfiguration.cpp
)

IF( ENABLE_SHARED )

  ADD_LIBRARY( base-server SHARED ${base_server_SOURCES} )
  SET_TARGET_PROPERTIES( base-server PROPERTIES VERSION ${BASE_SERVER_VERSION} SOVERSION ${BASE_SERVER_SOVERSION} )
  INSTALL( TARGETS base-server DESTINATION ${CMAKE_INSTALL_PREFIX}/lib )

ELSE()

  ADD_LIBRARY( base-server STATIC ${base_server_SOURCES} )

ENDIF()

TARGET_LINK_LIBRARIES( base-server ${QT_LIBRARIES} base base-qt )

IF( USE_QT5 )

  QT5_USE_MODULES( base-server Widgets Network Xml DBus )

ENDIF()

=== base-spellcheck/CMakeLists.txt ===
# $Id: CMakeLists.txt,v 1.14 2013/11/14 17:19:40 hupereir Exp $
PROJECT( BASE_SPELLCHECK )
SET( BASE_SPELLCHECK_VERSION_MAJOR 1 )
SET( BASE_SPELLCHECK_VERSION_MINOR 0 )
SET( BASE_SPELLCHECK_VERSION_PATCH 0 )
SET( BASE_SPELLCHECK_VERSION ${BASE_SPELLCHECK_VERSION_MAJOR}.${BASE_SPELLCHECK_VERSION_MINOR}.${BASE_SPELLCHECK_VERSION_PATCH} )
SET( BASE_SPELLCHECK_SOVERSION ${BASE_SPELLCHECK_VERSION_MAJOR}.${BASE_SPELLCHECK_VERSION_MINOR} )

########### Qt4 configuration #########
IF( USE_QT5 )

  FIND_PACKAGE( Qt5Widgets REQUIRED )

ELSE()

  FIND_PACKAGE( Qt4 REQUIRED )
  INCLUDE( ${QT_USE_FILE} )
  ADD_DEFINITIONS( ${QT_DEFINITIONS} )

ENDIF()

########### aspell ###############
FIND_PACKAGE( ASPELL REQUIRED )
INCLUDE_DIRECTORIES(${ASPELL_INCLUDE_DIR})

########### includes ###############
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base)
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base-qt)

########### links #########
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LINK_DIRECTORIES( ${CMAKE_INSTALL_PREFIX}/lib )

########### next target ###############
SET( base_spellcheck_SOURCES
  AutoSpellConfiguration.cpp
  DictionaryMenu.cpp
  DictionarySelectionButton.cpp
  FilterMenu.cpp
  FilterSelectionButton.cpp
  SpellCheckConfiguration.cpp
  SpellDialog.cpp
  SpellInterface.cpp
  SpellItemDialog.cpp
  SpellItemModel.cpp
  SpellParser.cpp
  SuggestionMenu.cpp
  TexString.cpp
  )

IF( ENABLE_SHARED )

  ADD_LIBRARY( base-spellcheck SHARED ${base_spellcheck_SOURCES} )
  SET_TARGET_PROPERTIES( base-spellcheck PROPERTIES VERSION ${BASE_SPELLCHECK_VERSION} SOVERSION ${BASE_SPELLCHECK_SOVERSION} )
  INSTALL( TARGETS base-spellcheck DESTINATION ${CMAKE_INSTALL_PREFIX}/lib )

ELSE()

  ADD_LIBRARY( base-spellcheck STATIC ${base_spellcheck_SOURCES} )

ENDIF()

TARGET_LINK_LIBRARIES( base-spellcheck ${QT_LIBRARIES} ${ASPELL_LIBRARIES} base base-qt )

IF( USE_QT5 )

  QT5_USE_MODULES( base-spellcheck Widgets Network )

ENDIF()

=== base-svg/CMakeLists.txt ===
# $Id: CMakeLists.txt,v 1.15 2013/11/14 17:19:40 hupereir Exp $
PROJECT( BASE_SVG )
SET( BASE_SVG_VERSION_MAJOR 1 )
SET( BASE_SVG_VERSION_MINOR 0 )
SET( BASE_SVG_VERSION_PATCH 0 )
SET( BASE_SVG_VERSION ${BASE_SVG_VERSION_MAJOR}.${BASE_SVG_VERSION_MINOR}.${BASE_SVG_VERSION_PATCH} )
SET( BASE_SVG_SOVERSION ${BASE_SVG_VERSION_MAJOR}.${BASE_SVG_VERSION_MINOR} )

########### Qt4 configuration #########
IF( USE_QT5 )

  FIND_PACKAGE( Qt5Widgets REQUIRED )

ELSE()

  FIND_PACKAGE( Qt4 REQUIRED )
  SET( QT_USE_QTSVG TRUE )
  INCLUDE( ${QT_USE_FILE} )
  ADD_DEFINITIONS( ${QT_DEFINITIONS} )

ENDIF()

########### aspell ###############
FIND_PROGRAM( KDE4_CONFIG kde4-config )

########### configuration files ###############
CONFIGURE_FILE( SvgSystemOptions.h.cmake SvgSystemOptions.h )

########### links #########
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LINK_DIRECTORIES( ${CMAKE_INSTALL_PREFIX}/lib )

########### includes ###############
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base)
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base-qt)
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base-transparency)

########### next target ###############
SET( base_svg_SOURCES
  SvgConfiguration.cpp
  SvgEngine.cpp
  SvgPlasmaInterface.cpp
  SvgRenderer.cpp
  SvgThread.cpp
)

SET( base_svg_RESOURCES baseSvg.qrc)

IF( USE_QT5 )

  QT5_ADD_RESOURCES( base_svg_RESOURCES_RCC ${base_svg_RESOURCES})

ELSE()

  QT4_ADD_RESOURCES( base_svg_RESOURCES_RCC ${base_svg_RESOURCES})

ENDIF()

IF( ENABLE_SHARED )

  ADD_LIBRARY( base-svg SHARED ${base_svg_SOURCES} ${base_svg_RESOURCES_RCC} )
  SET_TARGET_PROPERTIES( base-svg PROPERTIES VERSION ${BASE_SVG_VERSION} SOVERSION ${BASE_SVG_SOVERSION} )
  INSTALL( TARGETS base-svg DESTINATION ${CMAKE_INSTALL_PREFIX}/lib )

ELSE()

  ADD_LIBRARY( base-svg STATIC ${base_svg_SOURCES} ${base_svg_RESOURCES_RCC} )

ENDIF()

TARGET_LINK_LIBRARIES( base-svg ${QT_LIBRARIES} base-transparency)

IF( USE_QT5 )

  QT5_USE_MODULES( base-svg Widgets Svg )

ENDIF()

=== base-transparency/CMakeLists.txt ===
# $Id: CMakeLists.txt,v 1.21 2014/04/27 19:27:51 hupereir Exp $
PROJECT( BASE_TRANSPARENCY )
SET( BASE_TRANSPARENCY_VERSION_MAJOR 1 )
SET( BASE_TRANSPARENCY_VERSION_MINOR 0 )
SET( BASE_TRANSPARENCY_VERSION_PATCH 0 )
SET( BASE_TRANSPARENCY_VERSION ${BASE_TRANSPARENCY_VERSION_MAJOR}.${BASE_TRANSPARENCY_VERSION_MINOR}.${BASE_TRANSPARENCY_VERSION_PATCH} )
SET( BASE_TRANSPARENCY_SOVERSION ${BASE_TRANSPARENCY_VERSION_MAJOR}.${BASE_TRANSPARENCY_VERSION_MINOR} )

########### Qt configuration #########
IF( USE_QT5 )

  FIND_PACKAGE( Qt5Widgets REQUIRED )

ELSE()

  FIND_PACKAGE( Qt4 REQUIRED )
  INCLUDE( ${QT_USE_FILE} )
  ADD_DEFINITIONS( ${QT_DEFINITIONS} )

ENDIF()

# ########### X11 #######################
IF( UNIX  AND NOT APPLE )

  FIND_PACKAGE( X11 )
  IF( X11_FOUND )
    FIND_PACKAGE(XCB REQUIRED COMPONENTS XCB SHAPE)
    ADD_DEFINITIONS( -DHAVE_X11=${X11_FOUND} )
  ENDIF()

ELSE()

  ADD_DEFINITIONS( -DHAVE_X11=0 )

ENDIF()

########### links #########
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LINK_DIRECTORIES( ${CMAKE_INSTALL_PREFIX}/lib )

########### includes ###############
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base)
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/base-qt)

########### next target ###############
SET( base_transparency_SOURCES
  CompositeEngine.cpp
  ShadowLabel.cpp
  TransparencyConfiguration.cpp
  TransparentWidget.cpp
)

IF( ENABLE_SHARED )

  ADD_LIBRARY( base-transparency SHARED ${base_transparency_SOURCES} )
  SET_TARGET_PROPERTIES( base-transparency PROPERTIES VERSION ${BASE_TRANSPARENCY_VERSION} SOVERSION ${BASE_TRANSPARENCY_SOVERSION} )
  INSTALL( TARGETS base-transparency DESTINATION ${CMAKE_INSTALL_PREFIX}/lib )

ELSE()

  ADD_LIBRARY( base-transparency STATIC ${base_transparency_SOURCES} )

ENDIF()

TARGET_LINK_LIBRARIES( base-transparency ${XCB_LIBRARIES} )
TARGET_LINK_LIBRARIES( base-transparency ${QT_LIBRARIES} base-qt)

IF( USE_QT5 )

  QT5_USE_MODULES( base-transparency Widgets Network )

ENDIF()

=== base/CMakeLists.txt ===
# $Id: CMakeLists.txt,v 1.16 2013/11/14 17:19:40 hupereir Exp $
PROJECT( BASE )
SET( BASE_VERSION_MAJOR 1 )
SET( BASE_VERSION_MINOR 0 )
SET( BASE_VERSION_PATCH 0 )
SET( BASE_VERSION ${BASE_VERSION_MAJOR}.${BASE_VERSION_MINOR}.${BASE_VERSION_PATCH} )
SET( BASE_SOVERSION ${BASE_VERSION_MAJOR}.${BASE_VERSION_MINOR} )


########### Qt4 configuration #########
IF( USE_QT5 )

  FIND_PACKAGE( Qt5Widgets REQUIRED )

ELSE()

  FIND_PACKAGE( Qt4 REQUIRED )
  SET( QT_USE_QTNETWORK TRUE )
  INCLUDE( ${QT_USE_FILE} )
  ADD_DEFINITIONS( ${QT_DEFINITIONS} )

ENDIF()

########### includes ###############
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

########### links #########
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
LINK_DIRECTORIES( ${CMAKE_INSTALL_PREFIX}/lib )

########### next target ###############
SET( base_SOURCES
  Color.cpp
  Command.cpp
  CommandLineArguments.cpp
  CommandLineParser.cpp
  Counter.cpp
  CounterMap.cpp
  CustomProcess.cpp
  Debug.cpp
  File.cpp
  FileThread.cpp
  FileRecord.cpp
  IOString.cpp
  Key.cpp
  Option.cpp
  Options.cpp
  Singleton.cpp
  TimeStamp.cpp
  Util.cpp
)

IF( ENABLE_SHARED )

  ADD_LIBRARY( base SHARED ${base_SOURCES} )
  SET_TARGET_PROPERTIES( base PROPERTIES VERSION ${BASE_VERSION} SOVERSION ${BASE_SOVERSION} )
  TARGET_LINK_LIBRARIES( base ${QT_LIBRARIES} )
  INSTALL( TARGETS base DESTINATION ${CMAKE_INSTALL_PREFIX}/lib )

ELSE()

  ADD_LIBRARY( base STATIC ${base_SOURCES} )
  TARGET_LINK_LIBRARIES( base ${QT_LIBRARIES} )

ENDIF()

IF( USE_QT5 )

  QT5_USE_MODULES( base Widgets Network )

ENDIF()

=== src/CMakeLists.txt ===
# $Id: CMakeLists.txt,v 1.26 2014/04/27 19:27:47 hupereir Exp $
########### Qt configuration #########
IF( USE_QT5 )

  FIND_PACKAGE( Qt5Widgets REQUIRED )

ELSE()

  FIND_PACKAGE( Qt4 REQUIRED )
  SET( QT_USE_QTXML TRUE )
  SET( QT_USE_QTNETWORK TRUE )
  INCLUDE( ${QT_USE_FILE} )
  ADD_DEFINITIONS( ${QT_DEFINITIONS} )

ENDIF()

########### X11 #########
IF( UNIX AND NOT APPLE )

  FIND_PACKAGE( X11 )
  IF( X11_FOUND )
    FIND_PACKAGE(XCB REQUIRED COMPONENTS XCB)
  ENDIF()

  ADD_DEFINITIONS( -DHAVE_X11=${X11_FOUND} )

ENDIF()

########### includes #########
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )
INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/base )
INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/base-qt )
INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/base-server )

########### configuration files ###############
CONFIGURE_FILE( Config.h.cmake Config.h )

########### next target ###############
SET( Top_SOURCES
  Application.cpp
  ConfigurationDialog.cpp
  HistogramWidget.cpp
  Job.cpp
  JobCommand.cpp
  JobInformationDialog.cpp
  JobInterface.cpp
  JobManager.cpp
  JobManagerFrame.cpp
  JobModel.cpp
  JobRecord.cpp
  JobThread.cpp
  MainWindow.cpp
  Menu.cpp
  NewFrameDialog.cpp
  RecordHistogram.cpp
  SignalMenu.cpp
  SignalJobsDialog.cpp
  SummaryFrame.cpp
  ToolTipWidget.cpp
  UserSet.cpp
  XcbInterface.cpp
  main.cpp
)

SET( Top_RESOURCES pixmaps.qrc )

IF( USE_QT5 )

  QT5_ADD_RESOURCES( Top_RESOURCES_RCC ${Top_RESOURCES} )

ELSE()

  QT4_ADD_RESOURCES( Top_RESOURCES_RCC ${Top_RESOURCES} )

ENDIF()

ADD_APPLICATION_ICON( Top_SOURCES ${CMAKE_SOURCE_DIR}/Top )
ADD_DESKTOP_FILE( ${CMAKE_SOURCE_DIR}/Top )
ADD_UNIX_EXECUTABLE( Top
  ${Top_SOURCES}
  ${Top_RESOURCES_RCC}
)

TARGET_LINK_LIBRARIES( Top ${XCB_LIBRARIES} )
TARGET_LINK_LIBRARIES( Top ${QT_LIBRARIES} )
TARGET_LINK_LIBRARIES( Top base base-qt base-server )

INSTALL( TARGETS Top DESTINATION ${BIN_INSTALL_DIR} )

IF( USE_QT5 )

  QT5_USE_MODULES( Top Network Widgets Xml )

ENDIF()

=== debian/changelog ===
qtop (2.2.4-1) unstable; urgency=low

  * Initial release (Closes: #731881)
  * debian/patches/name.patch:
    - Changes the name of the binary from Top to qtop.

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Mon, 09 Jun 2014 10:37:00 +0200

=== debian/control ===
Source: qtop
Section: admin
Priority: optional
Maintainer: Hugo Lefeuvre <hugo6390@orange.fr>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9.0.0),
               dpkg-dev (>= 1.16.1~),
               libxcb-keysyms1-dev,
               qt4-default,
               xdg-utils,
               libx11-dev,
               pkg-config,
               libx11-xcb-dev
Standards-Version: 3.9.5
Homepage: http://hugo.pereira.free.fr/software/

Package: qtop
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: windowed version of the console top command
 It provides a dynamic real-time view of a running system. It has only
 a small fraction of the options provided by its console counterparts,
 but hopefully the most used ones.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ 

override_dh_installdocs:
	dh_installdocs debian/COPYING-CMAKE-SCRIPTS

=== debian/watch ===
version=3
http://hugo.pereira.free.fr/software/tgz/Top-(.+).tar.gz
